## com.icl.saxon.output
Class UncommittedEmitter

    java.lang.Object
      |
      +--com.icl.saxon.output.Emitter
            |
            +--com.icl.saxon.output.ProxyEmitter
                  |
                  +--com.icl.saxon.output.UncommittedEmitter

All Implemented Interfaces:
  javax.xml.transform.Result

public class UncommittedEmitter
extends ProxyEmitter

This class generates XML or HTML output depending on whether the first tag output is "
"

Field Summary

Fields inherited from class com.icl.saxon.output.ProxyEmitter
`baseEmitter, outputProperties`

Fields inherited from class com.icl.saxon.output.Emitter
`locator, namePool, outputStream, systemId, writer`

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`UncommittedEmitter()`

Method Summary
`void` `characters(char[] ch, int start, int length)` Produce character output using the current Writer.
`void` `comment(char[] ch, int start, int length)` Output a comment
`void` `endDocument()` End of document
`void` `processingInstruction(java.lang.String target, java.lang.String data)` Processing Instruction
`void` `setEscaping(boolean escaping)` Switch escaping on or off.
`void` `startDocument()` Start of document
`void` `startElement(int nameCode, org.xml.sax.Attributes attributes, int[] namespaces, int nscount)` Output an element start tag.

Methods inherited from class com.icl.saxon.output.ProxyEmitter
`endElement, setDocumentLocator, setNamePool, setOutputProperties, setUnderlyingEmitter, setUnparsedEntity, setWriter`

Methods inherited from class com.icl.saxon.output.Emitter
`getNamePool, getOutputProperties, getOutputStream, getSystemId, getWriter, makeEmitter, setOutputStream, setSystemId, usesWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UncommittedEmitter

    public UncommittedEmitter()

Method Detail

### startDocument

    public void startDocument()
                       throws javax.xml.transform.TransformerException

  Description copied from class: `ProxyEmitter`
  Start of document

  Overrides:
    `startDocument` in class `ProxyEmitter`
    `javax.xml.transform.TransformerException`

### endDocument

    public void endDocument()
                     throws javax.xml.transform.TransformerException

  End of document

  Overrides:
    `endDocument` in class `ProxyEmitter`
    `javax.xml.transform.TransformerException`

### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws javax.xml.transform.TransformerException

  Produce character output using the current Writer.

  Overrides:
    `characters` in class `ProxyEmitter`
    `javax.xml.transform.TransformerException`

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String data)
                               throws javax.xml.transform.TransformerException

  Processing Instruction

  Overrides:
    `processingInstruction` in class `ProxyEmitter`
    `javax.xml.transform.TransformerException`

### comment

    public void comment(char[] ch,
                        int start,
                        int length)
                 throws javax.xml.transform.TransformerException

  Output a comment

  Overrides:
    `comment` in class `ProxyEmitter`
    `javax.xml.transform.TransformerException`

### startElement

    public void startElement(int nameCode,
                             org.xml.sax.Attributes attributes,
                             int[] namespaces,
                             int nscount)
                      throws javax.xml.transform.TransformerException

  Output an element start tag.
  This can only be called once: it switches to a substitute output generator for XML or HTML, depending on whether the tag is "HTML".

  Overrides:
    `startElement` in class `ProxyEmitter`
  Parameters:
    `namespaces` - Array of namespace codes identifying the namespace prefix/uri pairs associated with this element
    `nscount` - Number of significant entries within namespaces array
    `javax.xml.transform.TransformerException`

### setEscaping

    public void setEscaping(boolean escaping)
                     throws javax.xml.transform.TransformerException

  Switch escaping on or off. This is called when the XSLT disable-output-escaping attribute is used to switch escaping on or off. It is not called for other sections of output (e.g. element names) where escaping is inappropriate.

  Overrides:
    `setEscaping` in class `ProxyEmitter`
    `javax.xml.transform.TransformerException`